package com.tzld.piaoquan.ad.engine.commons.score.model;


import ml.dmlc.xgboost4j.scala.spark.XGBoostClassificationModel;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Map;


public class XGBoostModel extends Model {
    private static final Logger LOGGER = LoggerFactory.getLogger(XGBoostModel.class);
    private XGBoostClassificationModel model;

    @Override
    public int getModelSize() {
        if (this.model == null)
            return 0;
        return 1;
    }

    public void cleanModel() {
        this.model = null;
    }

    public Float score(Map<String, String> featureMap) {
        return 0f;
    }

    @Override
    public boolean loadFromStream(InputStreamReader in) throws IOException {



        String modelDir = "";
        XGBoostClassificationModel model2 = XGBoostClassificationModel.load("file://" + modelDir);
        model2.setMissing(0.0f)
                .setFeaturesCol("features");
        model = model2;
        return true;
    }

}
